# Bulk transition attribute lifecycle

Transitions multiple attributes to a different lifecycle state in a single operation.

Endpoint: PATCH /v1/attributes/bulk/actions/lifecycle
Version: 1.1.0
Security: Bearer

## Request fields (application/json):

  - `transition` (string, required)
    Lifecycle transition to apply to an attribute.
    Enum: "publish", "unpublish", "remove", "restore"

  - `uuids` (array, required)
    List of attribute identifiers to transition.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this attribute.

  - `createdAt` (string, required)
    Timestamp when this attribute was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this attribute was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `removedAt` (string,null)
    Timestamp when this attribute was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `status` (string, required)
    Lifecycle status of an attribute.
    Enum: "draft", "published", "unpublished", "removed"

  - `code` (string, required)
    Code for this attribute.

  - `displayName` (string, required)
    The display name of the attribute.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


